#ifndef ACTION_H
#define ACTION_H

#include <sys/time.h>
#include <types.h>

typedef void (*actionf)(Time time, void*);

typedef struct {
	actionf		f;
	void*		arg;
	Time		timeStart;
	Time		timeDuration;
} Action;

void actionConstruct(Action* action, actionf function, void* farg, Time timeStart, Time timeDuration);

#endif	/* ACTION_H */

