#ifndef CAMERA_H
#define CAMERA_H

typedef struct {
	float	fovy;
	float	near;
	float	far;
} Camera;

void cameraConstruct(Camera* camera);
void cameraDestroy(Camera* camera);
void cameraSetParams(Camera* camera, float fovy, float near, float far);
float cameraGetFOVY(const Camera* camera);
float cameraGetNear(const Camera* camera);
float cameraGetFar(const Camera* camera);

#endif	/* CAMERA_H */

