#include <string.h>
#include "cameratnode.h"

static void cameratnodeProcess(CameraTNode* camera);

void cameratnodeConstruct(CameraTNode* camera) {

	tnodeConstruct(&camera->tnode, NULL);
	camera->tnode.node.type = NODE_CAMERA;
	camera->tnode.Process = (void (*)(struct TNode*))cameratnodeProcess;
	cameraConstruct(&camera->camera);
}

void cameratnodeDestroy(CameraTNode* camera) {

	cameraDestroy(&camera->camera);
	tnodeDestroy(&camera->tnode);
}

inline Camera* cameratnodeGetCamera(CameraTNode* camera) {

	return &camera->camera;
}

inline TNode* cameratnodeGetTNode(CameraTNode* camera) {

	return &camera->tnode;
}

static void cameratnodeProcess(CameraTNode* camera) {

	memcpy(tnodeGetTransformedMatrix((TNode*)camera), tnodeGetMatrix((TNode*)camera), sizeof(Matrix));
	tnodeReset((TNode*)camera);
}

