#ifndef MESH__H
#define MESH__H

#include <sys/displaylist.h>
#include <containers/vec_.h>
#include <myheader.h>

typedef struct {
	const Pair*	pairs;		/* static data */
	DisplayList	dlist;
	Vec_		vpairs;
} Mesh_;

void mesh_Construct(Mesh_* mesh, const Pair* pairs);
void mesh_Destroy(Mesh_* mesh);

#endif	/* MESH__H */

