#ifndef MESHTNODE_H
#define MESHTNODE_H

#include <sys/dlist.h>
#include "mesh.h"
#include "tnode.h"

typedef struct {
	TNode	tnode;
	Mesh	mesh;
	DList	dlist;
} MeshTNode;

void meshtnodeConstruct(MeshTNode* meshtnode, const Pair* pairs);
void meshtnodeDestroy(MeshTNode* meshtnode);
TNode* meshtnodeGetTNode(MeshTNode* meshtnode);
Mesh* meshtnodeGetMesh(MeshTNode* meshtnode);

#endif	/* MESHTNODE_H */

