#ifndef	DISPLAYLIST_H
#define	DISPLAYLIST_H

#define	DL_ALLOC	NULL			/*  */

#include <ultra64.h>
#include <types.h>
#include <containers/vec_.h>

/* structures */
typedef struct DisplayList {
	Vec_	gfx;
	//Gfx*	gpstart;
	//Gfx*	gpcurr;
	//u16	ncmd;		/* maximum number of commands */
	//u16	i;
} DisplayList;

/* interface */
DisplayList* displaylistNew(void);
void displaylistConstruct(DisplayList* dl);
Gfx* dlGetHead(DisplayList* dl);
uint16_t dlGetLength(const DisplayList* dl);
void dlResetCounter(DisplayList* dl);
void dlAddCommand_(DisplayList* dl, Gfx cmd);
void dlAddCommands_(DisplayList* dl, Gfx cmd[], uint8_t n);
_Bool dlOverflowOccured(DisplayList* dl);

#define dlAddCommand(dl, cmd)						\
{									\
	Gfx commands[] = {cmd};						\
	dlAddCommands_(dl, commands, sizeof(commands)/sizeof(Gfx));	\
}

#endif   /* DISPLAYLIST_H */

