#ifndef TIME_H
#define TIME_H

#include <types.h>

typedef struct {
	int64_t	sec;
	int32_t	msec;
	int32_t	nsec;
} Time;

typedef enum {
	TIME_LESS,
	TIME_EQUAL,
	TIME_GREATER
} TimeRelation;

Time timeDuration(Time t0, Time t1);
TimeRelation timeCompare(Time t0, Time t1);

#endif	/* TIME_H */

