#ifndef  ACTMGR_H
#define  ACTMGR_H

#include <containers/vec_.h>
#include "action.h"

#define	ACTMGR_TIME_INFINITY	0			/*  */

typedef struct {
	Vec_		actions;
} ActMgr;

void actmgrConstruct(ActMgr* actmgr);
void actmgrAddAction(ActMgr* actmgr, Action* action);
void actmgrProcess(ActMgr* actmgr, Time time);
void actmgrDetachAction(ActMgr* actmgr, actionf function);

#endif   /* ACTMGR_H */
