#ifndef VECTOR_H
#define VECTOR_H

typedef struct {
	float	x;
	float	y;
} Vector2f;

typedef struct {
	float	x;
	float	y;
	float	z;
} Vector3f;

typedef struct {
	float	x;
	float	y;
	float	z;
	float	t;
} Vector4f;

#define VECTOR2F_SET(a,b)	\
{.x = a, .y = b}
#define VECTOR3F_SET(a,b,c) \
{.x = a, .y = b, .z = c}

void vector2fSet(Vector2f* vector, float x, float y);
void vector3fSet(Vector3f* vector, float x, float y, float z);
void vector4fSet(Vector4f* vector, float x, float y, float z, float t);

#endif	/* VECTOR_H */

