#ifndef MESH_H
#define MESH_H

#include <myheader.h>
#include <containers/vec_.h>
#include "layer.h"
#include "vertex.h"

typedef struct {
	Vec_	vpairs;
	Vec_	layers;
} Mesh;

/* interface */
void meshConstruct(Mesh* mesh, const Pair* pairs);
void meshDestroy(Mesh* mesh);

#endif	/* MESH_H */

