#include "mesh_.h"

void mesh_Construct(Mesh_* mesh, const Pair* pairs) {
	bzero(mesh, sizeof(Mesh_));
	
	mesh->pairs = pairs;
	vec_Construct(&mesh->vpairs, sizeof(Pair), NULL);
	displaylistConstruct(&mesh->dlist);

	for(const Pair* pair = mesh->pairs; pair->mat; pair++) {
		vec_PushBack(&mesh->vpairs, pair);
	}
}

void mesh_Destroy(Mesh_* mesh) {
	if(mesh) {}
}

