#include "meshtnode.h"

void meshtnodeConstruct(MeshTNode* meshtnode, const Pair* pairs) {

	tnodeConstruct(&meshtnode->tnode, NULL);
	meshtnode->tnode.node.type = NODE_MESH;
	meshConstruct(&meshtnode->mesh, pairs);
	dlistConstruct(&meshtnode->dlist);
}

void meshtnodeDestroy(MeshTNode* meshtnode) {

	dlistDestroy(&meshtnode->dlist);
	meshDestroy(&meshtnode->mesh);
	tnodeDestroy(&meshtnode->tnode);
}

inline TNode* meshtnodeGetTNode(MeshTNode* meshtnode) {

	return &meshtnode->tnode;
}

inline Mesh* meshtnodeGetMesh(MeshTNode* meshtnode) {

	return &meshtnode->mesh;
}

