#include "object2d.h"

void object2DConstruct(Object2D* object, Texture* texture) {
	tnodeConstruct(&object->tnode, NULL);
	object->tnode.node.type = NODE_OBJECT2D;
	object->texture = texture;
}

void object2DDestroy(Object2D* object) {
	tnodeDestroy(&object->tnode);
}

inline const Texture* object2DGetConstTexture(Object2D* object) {
	return object->texture;
}
