#ifndef OBJECT2D_H
#define OBJECT2D_H

#include "tnode.h"
#include "../texture.h"

typedef struct {
	TNode		tnode;
	Texture*	texture;
} Object2D;

/* interface */
void object2DConstruct(Object2D* object, Texture* texture);
void object2DDestroy(Object2D* object);
const Texture* object2DGetConstTexture(Object2D* object);

#endif	/* OBJECT2D_H */
