#ifndef PPU_H
#define PPU_H

#include <types.h>

typedef struct {
	uint32_t	texMemSize;
} PPU;

void ppuConstruct(PPU* ppu);
void ppuDestroy(PPU* ppu);
uint32_t ppuGetTexMemSize(const PPU* ppu);
bool ppuIsBusy(const PPU* ppu);

#endif	/* PPU_H */

