#ifndef TASK_H
#define TASK_H

#include <math/vector.h>
#include "engine.h"
#include "texture.h"

typedef void (*taskfptr)(Engine*, void*);

typedef struct {
	taskfptr	f;
	void*		arg;
} Task;

typedef struct {
	Object2D*	obj2d;
	Vector2f	pos;
	Vector2f	scale;
} TaskImageData;

#endif	/* TASK_H */

