#ifndef VPU_H
#define VPU_H

#include <types.h>

typedef struct {
	uint32_t	bufferSize;
} VPU;

void vpuConstruct(VPU* vpu);
void vpuDestroy(VPU* vpu);
uint32_t vpuGetBufferSize(const VPU* vpu);
bool vpuIsBusy(const VPU* vpu);

#endif	/* VPU_H */

