#include "myheader.h"

static Vtx vts0[] = {
	{
		{ {-62, 0, 0}, 0, {0, 0}, {0x81, 0x0, 0x0, 0xFF} }
	},
	{
		{ {-58, -8, 0}, 0, {0, 0}, {0xa5, 0xa9, 0x0, 0xFF} }
	},
	{
		{ {-50, -12, 0}, 0, {0, 0}, {0xfc, 0x82, 0x0, 0xFF} }
	},
	{
		{ {-41, -8, 0}, 0, {0, 0}, {0x57, 0xa4, 0x1, 0xFF} }
	},
	{
		{ {-37, 0, 0}, 0, {0, 0}, {0x7f, 0x0, 0x0, 0xFF} }
	},
	{
		{ {-41, 8, 0}, 0, {0, 0}, {0x57, 0x5c, 0xff, 0xFF} }
	},
	{
		{ {-50, 12, 0}, 0, {0, 0}, {0xfc, 0x7e, 0x0, 0xFF} }
	},
	{
		{ {-58, 8, 0}, 0, {0, 0}, {0xa5, 0x57, 0x0, 0xFF} }
	},
	{
		{ {-57, 0, 23}, 0, {0, 0}, {0x8b, 0x1, 0x30, 0xFF} }
	},
	{
		{ {-54, -8, 22}, 0, {0, 0}, {0xab, 0xaa, 0x23, 0xFF} }
	},
	{
		{ {-46, -12, 19}, 0, {0, 0}, {0xfc, 0x82, 0x1, 0xFF} }
	},
	{
		{ {-38, -8, 15}, 0, {0, 0}, {0x51, 0xa5, 0xdf, 0xFF} }
	},
	{
		{ {-34, 0, 14}, 0, {0, 0}, {0x75, 0x2, 0xd0, 0xFF} }
	},
	{
		{ {-38, 8, 15}, 0, {0, 0}, {0x4f, 0x5d, 0xe0, 0xFF} }
	},
	{
		{ {-46, 12, 19}, 0, {0, 0}, {0xfd, 0x7e, 0x1, 0xFF} }
	},
	{
		{ {-54, 8, 22}, 0, {0, 0}, {0xad, 0x58, 0x22, 0xFF} }
	},
	{
		{ {-44, 0, 44}, 0, {0, 0}, {0xa7, 0x1, 0x59, 0xFF} }
	},
	{
		{ {-41, -8, 41}, 0, {0, 0}, {0xbf, 0xaa, 0x41, 0xFF} }
	},
	{
		{ {-35, -12, 35}, 0, {0, 0}, {0xfd, 0x82, 0x3, 0xFF} }
	},
	{
		{ {-29, -8, 29}, 0, {0, 0}, {0x3e, 0xa5, 0xc2, 0xFF} }
	},
	{
		{ {-26, 0, 26}, 0, {0, 0}, {0x59, 0x2, 0xa7, 0xFF} }
	},
	{
		{ {-29, 8, 29}, 0, {0, 0}, {0x3c, 0x5d, 0xc4, 0xFF} }
	},
	{
		{ {-35, 12, 35}, 0, {0, 0}, {0xfd, 0x7e, 0x3, 0xFF} }
	},
	{
		{ {-41, 8, 41}, 0, {0, 0}, {0xc0, 0x58, 0x40, 0xFF} }
	},
	{
		{ {-23, 0, 57}, 0, {0, 0}, {0xd0, 0x1, 0x75, 0xFF} }
	},
	{
		{ {-22, -8, 54}, 0, {0, 0}, {0xdd, 0xaa, 0x55, 0xFF} }
	},
	{
		{ {-19, -12, 46}, 0, {0, 0}, {0xff, 0x82, 0x4, 0xFF} }
	},
	{
		{ {-15, -8, 38}, 0, {0, 0}, {0x21, 0xa5, 0xaf, 0xFF} }
	},
	{
		{ {-14, 0, 34}, 0, {0, 0}, {0x30, 0x2, 0x8b, 0xFF} }
	},
	{
		{ {-15, 8, 38}, 0, {0, 0}, {0x20, 0x5d, 0xb1, 0xFF} }
	},
	{
		{ {-19, 12, 46}, 0, {0, 0}, {0xff, 0x7e, 0x3, 0xFF} }
	},
	{
		{ {-22, 8, 54}, 0, {0, 0}, {0xde, 0x58, 0x53, 0xFF} }
	},
	{
		{ {0, 0, 62}, 0, {0, 0}, {0x0, 0x1, 0x7e, 0xFF} }
	},
	{
		{ {0, -8, 58}, 0, {0, 0}, {0x0, 0xaa, 0x5c, 0xFF} }
	},
	{
		{ {0, -12, 50}, 0, {0, 0}, {0x0, 0x82, 0x5, 0xFF} }
	},
	{
		{ {0, -8, 41}, 0, {0, 0}, {0x0, 0xa5, 0xa8, 0xFF} }
	},
	{
		{ {0, 0, 37}, 0, {0, 0}, {0x0, 0x2, 0x82, 0xFF} }
	},
	{
		{ {0, 8, 41}, 0, {0, 0}, {0x0, 0x5d, 0xaa, 0xFF} }
	},
	{
		{ {0, 12, 50}, 0, {0, 0}, {0x0, 0x7e, 0x4, 0xFF} }
	},
	{
		{ {0, 8, 58}, 0, {0, 0}, {0x0, 0x58, 0x5a, 0xFF} }
	},
	{
		{ {23, 0, 57}, 0, {0, 0}, {0x30, 0x1, 0x75, 0xFF} }
	},
	{
		{ {22, -8, 54}, 0, {0, 0}, {0x23, 0xaa, 0x55, 0xFF} }
	},
	{
		{ {19, -12, 46}, 0, {0, 0}, {0x1, 0x82, 0x4, 0xFF} }
	},
	{
		{ {15, -8, 38}, 0, {0, 0}, {0xdf, 0xa5, 0xaf, 0xFF} }
	},
	{
		{ {14, 0, 34}, 0, {0, 0}, {0xd0, 0x2, 0x8b, 0xFF} }
	},
	{
		{ {15, 8, 38}, 0, {0, 0}, {0xe0, 0x5d, 0xb1, 0xFF} }
	},
	{
		{ {19, 12, 46}, 0, {0, 0}, {0x1, 0x7e, 0x3, 0xFF} }
	},
	{
		{ {22, 8, 54}, 0, {0, 0}, {0x22, 0x58, 0x53, 0xFF} }
	},
	{
		{ {44, 0, 44}, 0, {0, 0}, {0x59, 0x1, 0x59, 0xFF} }
	},
	{
		{ {41, -8, 41}, 0, {0, 0}, {0x41, 0xaa, 0x41, 0xFF} }
	},
	{
		{ {35, -12, 35}, 0, {0, 0}, {0x3, 0x82, 0x3, 0xFF} }
	},
	{
		{ {29, -8, 29}, 0, {0, 0}, {0xc2, 0xa5, 0xc2, 0xFF} }
	},
	{
		{ {26, 0, 26}, 0, {0, 0}, {0xa7, 0x2, 0xa7, 0xFF} }
	},
	{
		{ {29, 8, 29}, 0, {0, 0}, {0xc4, 0x5d, 0xc4, 0xFF} }
	},
	{
		{ {35, 12, 35}, 0, {0, 0}, {0x3, 0x7e, 0x3, 0xFF} }
	},
	{
		{ {41, 8, 41}, 0, {0, 0}, {0x40, 0x58, 0x40, 0xFF} }
	},
	{
		{ {57, 0, 23}, 0, {0, 0}, {0x75, 0x1, 0x30, 0xFF} }
	},
	{
		{ {54, -8, 22}, 0, {0, 0}, {0x55, 0xaa, 0x23, 0xFF} }
	},
	{
		{ {46, -12, 19}, 0, {0, 0}, {0x4, 0x82, 0x1, 0xFF} }
	},
	{
		{ {38, -8, 15}, 0, {0, 0}, {0xaf, 0xa5, 0xdf, 0xFF} }
	},
	{
		{ {34, 0, 14}, 0, {0, 0}, {0x8b, 0x2, 0xd0, 0xFF} }
	},
	{
		{ {38, 8, 15}, 0, {0, 0}, {0xb1, 0x5d, 0xe0, 0xFF} }
	},
	{
		{ {46, 12, 19}, 0, {0, 0}, {0x3, 0x7e, 0x1, 0xFF} }
	},
	{
		{ {54, 8, 22}, 0, {0, 0}, {0x53, 0x58, 0x22, 0xFF} }
	},
	{
		{ {62, 0, 0}, 0, {0, 0}, {0x7e, 0x1, 0x0, 0xFF} }
	},
	{
		{ {58, -8, 0}, 0, {0, 0}, {0x5c, 0xaa, 0x0, 0xFF} }
	},
	{
		{ {50, -12, 0}, 0, {0, 0}, {0x5, 0x82, 0x0, 0xFF} }
	},
	{
		{ {41, -8, 0}, 0, {0, 0}, {0xa8, 0xa5, 0x0, 0xFF} }
	},
	{
		{ {37, 0, 0}, 0, {0, 0}, {0x82, 0x2, 0x0, 0xFF} }
	},
	{
		{ {41, 8, 0}, 0, {0, 0}, {0xaa, 0x5d, 0x0, 0xFF} }
	},
	{
		{ {50, 12, 0}, 0, {0, 0}, {0x4, 0x7e, 0x0, 0xFF} }
	},
	{
		{ {58, 8, 0}, 0, {0, 0}, {0x5a, 0x58, 0x0, 0xFF} }
	},
	{
		{ {57, 0, -23}, 0, {0, 0}, {0x75, 0x1, 0xd0, 0xFF} }
	},
	{
		{ {54, -8, -22}, 0, {0, 0}, {0x55, 0xaa, 0xdd, 0xFF} }
	},
	{
		{ {46, -12, -19}, 0, {0, 0}, {0x4, 0x82, 0xff, 0xFF} }
	},
	{
		{ {38, -8, -15}, 0, {0, 0}, {0xaf, 0xa5, 0x21, 0xFF} }
	},
	{
		{ {34, 0, -14}, 0, {0, 0}, {0x8b, 0x2, 0x30, 0xFF} }
	},
	{
		{ {38, 8, -15}, 0, {0, 0}, {0xb1, 0x5d, 0x20, 0xFF} }
	},
	{
		{ {46, 12, -19}, 0, {0, 0}, {0x3, 0x7e, 0xff, 0xFF} }
	},
	{
		{ {54, 8, -22}, 0, {0, 0}, {0x53, 0x58, 0xde, 0xFF} }
	},
	{
		{ {44, 0, -44}, 0, {0, 0}, {0x59, 0x1, 0xa7, 0xFF} }
	},
	{
		{ {41, -8, -41}, 0, {0, 0}, {0x41, 0xaa, 0xbf, 0xFF} }
	},
	{
		{ {35, -12, -35}, 0, {0, 0}, {0x3, 0x82, 0xfd, 0xFF} }
	},
	{
		{ {29, -8, -29}, 0, {0, 0}, {0xc2, 0xa5, 0x3e, 0xFF} }
	},
	{
		{ {26, 0, -26}, 0, {0, 0}, {0xa7, 0x2, 0x59, 0xFF} }
	},
	{
		{ {29, 8, -29}, 0, {0, 0}, {0xc4, 0x5d, 0x3c, 0xFF} }
	},
	{
		{ {35, 12, -35}, 0, {0, 0}, {0x3, 0x7e, 0xfd, 0xFF} }
	},
	{
		{ {41, 8, -41}, 0, {0, 0}, {0x40, 0x58, 0xc0, 0xFF} }
	},
	{
		{ {23, 0, -57}, 0, {0, 0}, {0x30, 0x1, 0x8b, 0xFF} }
	},
	{
		{ {22, -8, -54}, 0, {0, 0}, {0x23, 0xaa, 0xab, 0xFF} }
	},
	{
		{ {19, -12, -46}, 0, {0, 0}, {0x1, 0x82, 0xfc, 0xFF} }
	},
	{
		{ {15, -8, -38}, 0, {0, 0}, {0xdf, 0xa5, 0x51, 0xFF} }
	},
	{
		{ {14, 0, -34}, 0, {0, 0}, {0xd0, 0x2, 0x75, 0xFF} }
	},
	{
		{ {15, 8, -38}, 0, {0, 0}, {0xe0, 0x5d, 0x4f, 0xFF} }
	},
	{
		{ {19, 12, -46}, 0, {0, 0}, {0x1, 0x7e, 0xfd, 0xFF} }
	},
	{
		{ {22, 8, -54}, 0, {0, 0}, {0x22, 0x58, 0xad, 0xFF} }
	},
	{
		{ {0, 0, -62}, 0, {0, 0}, {0x0, 0x1, 0x82, 0xFF} }
	},
	{
		{ {0, -8, -58}, 0, {0, 0}, {0x0, 0xaa, 0xa4, 0xFF} }
	},
	{
		{ {0, -12, -50}, 0, {0, 0}, {0x0, 0x82, 0xfb, 0xFF} }
	},
	{
		{ {0, -8, -41}, 0, {0, 0}, {0x0, 0xa5, 0x58, 0xFF} }
	},
	{
		{ {0, 0, -37}, 0, {0, 0}, {0x0, 0x2, 0x7e, 0xFF} }
	},
	{
		{ {0, 8, -41}, 0, {0, 0}, {0x0, 0x5d, 0x56, 0xFF} }
	},
	{
		{ {0, 12, -50}, 0, {0, 0}, {0x0, 0x7e, 0xfc, 0xFF} }
	},
	{
		{ {0, 8, -58}, 0, {0, 0}, {0x0, 0x58, 0xa6, 0xFF} }
	},
	{
		{ {-23, 0, -57}, 0, {0, 0}, {0xd0, 0x1, 0x8b, 0xFF} }
	},
	{
		{ {-22, -8, -54}, 0, {0, 0}, {0xdd, 0xaa, 0xab, 0xFF} }
	},
	{
		{ {-19, -12, -46}, 0, {0, 0}, {0xff, 0x82, 0xfc, 0xFF} }
	},
	{
		{ {-15, -8, -38}, 0, {0, 0}, {0x21, 0xa5, 0x51, 0xFF} }
	},
	{
		{ {-14, 0, -34}, 0, {0, 0}, {0x30, 0x2, 0x75, 0xFF} }
	},
	{
		{ {-15, 8, -38}, 0, {0, 0}, {0x20, 0x5d, 0x4f, 0xFF} }
	},
	{
		{ {-19, 12, -46}, 0, {0, 0}, {0xff, 0x7e, 0xfd, 0xFF} }
	},
	{
		{ {-22, 8, -54}, 0, {0, 0}, {0xde, 0x58, 0xad, 0xFF} }
	},
	{
		{ {-44, 0, -44}, 0, {0, 0}, {0xa7, 0x1, 0xa7, 0xFF} }
	},
	{
		{ {-41, -8, -41}, 0, {0, 0}, {0xbf, 0xaa, 0xbf, 0xFF} }
	},
	{
		{ {-35, -12, -35}, 0, {0, 0}, {0xfd, 0x82, 0xfd, 0xFF} }
	},
	{
		{ {-29, -8, -29}, 0, {0, 0}, {0x3e, 0xa5, 0x3e, 0xFF} }
	},
	{
		{ {-26, 0, -26}, 0, {0, 0}, {0x59, 0x2, 0x59, 0xFF} }
	},
	{
		{ {-29, 8, -29}, 0, {0, 0}, {0x3c, 0x5d, 0x3c, 0xFF} }
	},
	{
		{ {-35, 12, -35}, 0, {0, 0}, {0xfd, 0x7e, 0xfd, 0xFF} }
	},
	{
		{ {-41, 8, -41}, 0, {0, 0}, {0xc0, 0x58, 0xc0, 0xFF} }
	},
	{
		{ {-57, 0, -23}, 0, {0, 0}, {0x8b, 0x0, 0xd0, 0xFF} }
	},
	{
		{ {-54, -8, -22}, 0, {0, 0}, {0xab, 0xa9, 0xde, 0xFF} }
	},
	{
		{ {-46, -12, -19}, 0, {0, 0}, {0xfc, 0x82, 0xff, 0xFF} }
	},
	{
		{ {-38, -8, -15}, 0, {0, 0}, {0x50, 0xa4, 0x20, 0xFF} }
	},
	{
		{ {-34, 0, -14}, 0, {0, 0}, {0x75, 0x0, 0x30, 0xFF} }
	},
	{
		{ {-38, 8, -15}, 0, {0, 0}, {0x4f, 0x5c, 0x22, 0xFF} }
	},
	{
		{ {-46, 12, -19}, 0, {0, 0}, {0xfc, 0x7e, 0xff, 0xFF} }
	},
	{
		{ {-54, 8, -22}, 0, {0, 0}, {0xac, 0x57, 0xdd, 0xFF} }
	},
};

static Gfx drawmesh0_0[] = {
	gsSPVertex(&vts0[1], 1, 0),
	gsSPVertex(&vts0[9], 1, 1),
	gsSPVertex(&vts0[8], 1, 2),
	gsSPVertex(&vts0[0], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[2], 1, 0),
	gsSPVertex(&vts0[10], 1, 1),
	gsSPVertex(&vts0[9], 1, 2),
	gsSPVertex(&vts0[1], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[3], 1, 0),
	gsSPVertex(&vts0[11], 1, 1),
	gsSPVertex(&vts0[10], 1, 2),
	gsSPVertex(&vts0[2], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[4], 1, 0),
	gsSPVertex(&vts0[12], 1, 1),
	gsSPVertex(&vts0[11], 1, 2),
	gsSPVertex(&vts0[3], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[5], 1, 0),
	gsSPVertex(&vts0[13], 1, 1),
	gsSPVertex(&vts0[12], 1, 2),
	gsSPVertex(&vts0[4], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[6], 1, 0),
	gsSPVertex(&vts0[14], 1, 1),
	gsSPVertex(&vts0[13], 1, 2),
	gsSPVertex(&vts0[5], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[7], 1, 0),
	gsSPVertex(&vts0[15], 1, 1),
	gsSPVertex(&vts0[14], 1, 2),
	gsSPVertex(&vts0[6], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[0], 1, 0),
	gsSPVertex(&vts0[8], 1, 1),
	gsSPVertex(&vts0[15], 1, 2),
	gsSPVertex(&vts0[7], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[9], 1, 0),
	gsSPVertex(&vts0[17], 1, 1),
	gsSPVertex(&vts0[16], 1, 2),
	gsSPVertex(&vts0[8], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[10], 1, 0),
	gsSPVertex(&vts0[18], 1, 1),
	gsSPVertex(&vts0[17], 1, 2),
	gsSPVertex(&vts0[9], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[11], 1, 0),
	gsSPVertex(&vts0[19], 1, 1),
	gsSPVertex(&vts0[18], 1, 2),
	gsSPVertex(&vts0[10], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[12], 1, 0),
	gsSPVertex(&vts0[20], 1, 1),
	gsSPVertex(&vts0[19], 1, 2),
	gsSPVertex(&vts0[11], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[13], 1, 0),
	gsSPVertex(&vts0[21], 1, 1),
	gsSPVertex(&vts0[20], 1, 2),
	gsSPVertex(&vts0[12], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[14], 1, 0),
	gsSPVertex(&vts0[22], 1, 1),
	gsSPVertex(&vts0[21], 1, 2),
	gsSPVertex(&vts0[13], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[15], 1, 0),
	gsSPVertex(&vts0[23], 1, 1),
	gsSPVertex(&vts0[22], 1, 2),
	gsSPVertex(&vts0[14], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[8], 1, 0),
	gsSPVertex(&vts0[16], 1, 1),
	gsSPVertex(&vts0[23], 1, 2),
	gsSPVertex(&vts0[15], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[17], 1, 0),
	gsSPVertex(&vts0[25], 1, 1),
	gsSPVertex(&vts0[24], 1, 2),
	gsSPVertex(&vts0[16], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[18], 1, 0),
	gsSPVertex(&vts0[26], 1, 1),
	gsSPVertex(&vts0[25], 1, 2),
	gsSPVertex(&vts0[17], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[19], 1, 0),
	gsSPVertex(&vts0[27], 1, 1),
	gsSPVertex(&vts0[26], 1, 2),
	gsSPVertex(&vts0[18], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[20], 1, 0),
	gsSPVertex(&vts0[28], 1, 1),
	gsSPVertex(&vts0[27], 1, 2),
	gsSPVertex(&vts0[19], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[21], 1, 0),
	gsSPVertex(&vts0[29], 1, 1),
	gsSPVertex(&vts0[28], 1, 2),
	gsSPVertex(&vts0[20], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[22], 1, 0),
	gsSPVertex(&vts0[30], 1, 1),
	gsSPVertex(&vts0[29], 1, 2),
	gsSPVertex(&vts0[21], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[23], 1, 0),
	gsSPVertex(&vts0[31], 1, 1),
	gsSPVertex(&vts0[30], 1, 2),
	gsSPVertex(&vts0[22], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[16], 1, 0),
	gsSPVertex(&vts0[24], 1, 1),
	gsSPVertex(&vts0[31], 1, 2),
	gsSPVertex(&vts0[23], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[25], 1, 0),
	gsSPVertex(&vts0[33], 1, 1),
	gsSPVertex(&vts0[32], 1, 2),
	gsSPVertex(&vts0[24], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[26], 1, 0),
	gsSPVertex(&vts0[34], 1, 1),
	gsSPVertex(&vts0[33], 1, 2),
	gsSPVertex(&vts0[25], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[27], 1, 0),
	gsSPVertex(&vts0[35], 1, 1),
	gsSPVertex(&vts0[34], 1, 2),
	gsSPVertex(&vts0[26], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[28], 1, 0),
	gsSPVertex(&vts0[36], 1, 1),
	gsSPVertex(&vts0[35], 1, 2),
	gsSPVertex(&vts0[27], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[29], 1, 0),
	gsSPVertex(&vts0[37], 1, 1),
	gsSPVertex(&vts0[36], 1, 2),
	gsSPVertex(&vts0[28], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[30], 1, 0),
	gsSPVertex(&vts0[38], 1, 1),
	gsSPVertex(&vts0[37], 1, 2),
	gsSPVertex(&vts0[29], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[31], 1, 0),
	gsSPVertex(&vts0[39], 1, 1),
	gsSPVertex(&vts0[38], 1, 2),
	gsSPVertex(&vts0[30], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[24], 1, 0),
	gsSPVertex(&vts0[32], 1, 1),
	gsSPVertex(&vts0[39], 1, 2),
	gsSPVertex(&vts0[31], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[33], 1, 0),
	gsSPVertex(&vts0[41], 1, 1),
	gsSPVertex(&vts0[40], 1, 2),
	gsSPVertex(&vts0[32], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[34], 1, 0),
	gsSPVertex(&vts0[42], 1, 1),
	gsSPVertex(&vts0[41], 1, 2),
	gsSPVertex(&vts0[33], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[35], 1, 0),
	gsSPVertex(&vts0[43], 1, 1),
	gsSPVertex(&vts0[42], 1, 2),
	gsSPVertex(&vts0[34], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[36], 1, 0),
	gsSPVertex(&vts0[44], 1, 1),
	gsSPVertex(&vts0[43], 1, 2),
	gsSPVertex(&vts0[35], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[37], 1, 0),
	gsSPVertex(&vts0[45], 1, 1),
	gsSPVertex(&vts0[44], 1, 2),
	gsSPVertex(&vts0[36], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[38], 1, 0),
	gsSPVertex(&vts0[46], 1, 1),
	gsSPVertex(&vts0[45], 1, 2),
	gsSPVertex(&vts0[37], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[39], 1, 0),
	gsSPVertex(&vts0[47], 1, 1),
	gsSPVertex(&vts0[46], 1, 2),
	gsSPVertex(&vts0[38], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[32], 1, 0),
	gsSPVertex(&vts0[40], 1, 1),
	gsSPVertex(&vts0[47], 1, 2),
	gsSPVertex(&vts0[39], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[41], 1, 0),
	gsSPVertex(&vts0[49], 1, 1),
	gsSPVertex(&vts0[48], 1, 2),
	gsSPVertex(&vts0[40], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[42], 1, 0),
	gsSPVertex(&vts0[50], 1, 1),
	gsSPVertex(&vts0[49], 1, 2),
	gsSPVertex(&vts0[41], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[43], 1, 0),
	gsSPVertex(&vts0[51], 1, 1),
	gsSPVertex(&vts0[50], 1, 2),
	gsSPVertex(&vts0[42], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[44], 1, 0),
	gsSPVertex(&vts0[52], 1, 1),
	gsSPVertex(&vts0[51], 1, 2),
	gsSPVertex(&vts0[43], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[45], 1, 0),
	gsSPVertex(&vts0[53], 1, 1),
	gsSPVertex(&vts0[52], 1, 2),
	gsSPVertex(&vts0[44], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[46], 1, 0),
	gsSPVertex(&vts0[54], 1, 1),
	gsSPVertex(&vts0[53], 1, 2),
	gsSPVertex(&vts0[45], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[47], 1, 0),
	gsSPVertex(&vts0[55], 1, 1),
	gsSPVertex(&vts0[54], 1, 2),
	gsSPVertex(&vts0[46], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[40], 1, 0),
	gsSPVertex(&vts0[48], 1, 1),
	gsSPVertex(&vts0[55], 1, 2),
	gsSPVertex(&vts0[47], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[49], 1, 0),
	gsSPVertex(&vts0[57], 1, 1),
	gsSPVertex(&vts0[56], 1, 2),
	gsSPVertex(&vts0[48], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[50], 1, 0),
	gsSPVertex(&vts0[58], 1, 1),
	gsSPVertex(&vts0[57], 1, 2),
	gsSPVertex(&vts0[49], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[51], 1, 0),
	gsSPVertex(&vts0[59], 1, 1),
	gsSPVertex(&vts0[58], 1, 2),
	gsSPVertex(&vts0[50], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[52], 1, 0),
	gsSPVertex(&vts0[60], 1, 1),
	gsSPVertex(&vts0[59], 1, 2),
	gsSPVertex(&vts0[51], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[53], 1, 0),
	gsSPVertex(&vts0[61], 1, 1),
	gsSPVertex(&vts0[60], 1, 2),
	gsSPVertex(&vts0[52], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[54], 1, 0),
	gsSPVertex(&vts0[62], 1, 1),
	gsSPVertex(&vts0[61], 1, 2),
	gsSPVertex(&vts0[53], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[55], 1, 0),
	gsSPVertex(&vts0[63], 1, 1),
	gsSPVertex(&vts0[62], 1, 2),
	gsSPVertex(&vts0[54], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[48], 1, 0),
	gsSPVertex(&vts0[56], 1, 1),
	gsSPVertex(&vts0[63], 1, 2),
	gsSPVertex(&vts0[55], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[57], 1, 0),
	gsSPVertex(&vts0[65], 1, 1),
	gsSPVertex(&vts0[64], 1, 2),
	gsSPVertex(&vts0[56], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[58], 1, 0),
	gsSPVertex(&vts0[66], 1, 1),
	gsSPVertex(&vts0[65], 1, 2),
	gsSPVertex(&vts0[57], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[59], 1, 0),
	gsSPVertex(&vts0[67], 1, 1),
	gsSPVertex(&vts0[66], 1, 2),
	gsSPVertex(&vts0[58], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[60], 1, 0),
	gsSPVertex(&vts0[68], 1, 1),
	gsSPVertex(&vts0[67], 1, 2),
	gsSPVertex(&vts0[59], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[61], 1, 0),
	gsSPVertex(&vts0[69], 1, 1),
	gsSPVertex(&vts0[68], 1, 2),
	gsSPVertex(&vts0[60], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[62], 1, 0),
	gsSPVertex(&vts0[70], 1, 1),
	gsSPVertex(&vts0[69], 1, 2),
	gsSPVertex(&vts0[61], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[63], 1, 0),
	gsSPVertex(&vts0[71], 1, 1),
	gsSPVertex(&vts0[70], 1, 2),
	gsSPVertex(&vts0[62], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[56], 1, 0),
	gsSPVertex(&vts0[64], 1, 1),
	gsSPVertex(&vts0[71], 1, 2),
	gsSPVertex(&vts0[63], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[65], 1, 0),
	gsSPVertex(&vts0[73], 1, 1),
	gsSPVertex(&vts0[72], 1, 2),
	gsSPVertex(&vts0[64], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[66], 1, 0),
	gsSPVertex(&vts0[74], 1, 1),
	gsSPVertex(&vts0[73], 1, 2),
	gsSPVertex(&vts0[65], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[67], 1, 0),
	gsSPVertex(&vts0[75], 1, 1),
	gsSPVertex(&vts0[74], 1, 2),
	gsSPVertex(&vts0[66], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[68], 1, 0),
	gsSPVertex(&vts0[76], 1, 1),
	gsSPVertex(&vts0[75], 1, 2),
	gsSPVertex(&vts0[67], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[69], 1, 0),
	gsSPVertex(&vts0[77], 1, 1),
	gsSPVertex(&vts0[76], 1, 2),
	gsSPVertex(&vts0[68], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[70], 1, 0),
	gsSPVertex(&vts0[78], 1, 1),
	gsSPVertex(&vts0[77], 1, 2),
	gsSPVertex(&vts0[69], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[71], 1, 0),
	gsSPVertex(&vts0[79], 1, 1),
	gsSPVertex(&vts0[78], 1, 2),
	gsSPVertex(&vts0[70], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[64], 1, 0),
	gsSPVertex(&vts0[72], 1, 1),
	gsSPVertex(&vts0[79], 1, 2),
	gsSPVertex(&vts0[71], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[73], 1, 0),
	gsSPVertex(&vts0[81], 1, 1),
	gsSPVertex(&vts0[80], 1, 2),
	gsSPVertex(&vts0[72], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[74], 1, 0),
	gsSPVertex(&vts0[82], 1, 1),
	gsSPVertex(&vts0[81], 1, 2),
	gsSPVertex(&vts0[73], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[75], 1, 0),
	gsSPVertex(&vts0[83], 1, 1),
	gsSPVertex(&vts0[82], 1, 2),
	gsSPVertex(&vts0[74], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[76], 1, 0),
	gsSPVertex(&vts0[84], 1, 1),
	gsSPVertex(&vts0[83], 1, 2),
	gsSPVertex(&vts0[75], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[77], 1, 0),
	gsSPVertex(&vts0[85], 1, 1),
	gsSPVertex(&vts0[84], 1, 2),
	gsSPVertex(&vts0[76], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[78], 1, 0),
	gsSPVertex(&vts0[86], 1, 1),
	gsSPVertex(&vts0[85], 1, 2),
	gsSPVertex(&vts0[77], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[79], 1, 0),
	gsSPVertex(&vts0[87], 1, 1),
	gsSPVertex(&vts0[86], 1, 2),
	gsSPVertex(&vts0[78], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[72], 1, 0),
	gsSPVertex(&vts0[80], 1, 1),
	gsSPVertex(&vts0[87], 1, 2),
	gsSPVertex(&vts0[79], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[81], 1, 0),
	gsSPVertex(&vts0[89], 1, 1),
	gsSPVertex(&vts0[88], 1, 2),
	gsSPVertex(&vts0[80], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[82], 1, 0),
	gsSPVertex(&vts0[90], 1, 1),
	gsSPVertex(&vts0[89], 1, 2),
	gsSPVertex(&vts0[81], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[83], 1, 0),
	gsSPVertex(&vts0[91], 1, 1),
	gsSPVertex(&vts0[90], 1, 2),
	gsSPVertex(&vts0[82], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[84], 1, 0),
	gsSPVertex(&vts0[92], 1, 1),
	gsSPVertex(&vts0[91], 1, 2),
	gsSPVertex(&vts0[83], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[85], 1, 0),
	gsSPVertex(&vts0[93], 1, 1),
	gsSPVertex(&vts0[92], 1, 2),
	gsSPVertex(&vts0[84], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[86], 1, 0),
	gsSPVertex(&vts0[94], 1, 1),
	gsSPVertex(&vts0[93], 1, 2),
	gsSPVertex(&vts0[85], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[87], 1, 0),
	gsSPVertex(&vts0[95], 1, 1),
	gsSPVertex(&vts0[94], 1, 2),
	gsSPVertex(&vts0[86], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[80], 1, 0),
	gsSPVertex(&vts0[88], 1, 1),
	gsSPVertex(&vts0[95], 1, 2),
	gsSPVertex(&vts0[87], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[89], 1, 0),
	gsSPVertex(&vts0[97], 1, 1),
	gsSPVertex(&vts0[96], 1, 2),
	gsSPVertex(&vts0[88], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[90], 1, 0),
	gsSPVertex(&vts0[98], 1, 1),
	gsSPVertex(&vts0[97], 1, 2),
	gsSPVertex(&vts0[89], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[91], 1, 0),
	gsSPVertex(&vts0[99], 1, 1),
	gsSPVertex(&vts0[98], 1, 2),
	gsSPVertex(&vts0[90], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[92], 1, 0),
	gsSPVertex(&vts0[100], 1, 1),
	gsSPVertex(&vts0[99], 1, 2),
	gsSPVertex(&vts0[91], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[93], 1, 0),
	gsSPVertex(&vts0[101], 1, 1),
	gsSPVertex(&vts0[100], 1, 2),
	gsSPVertex(&vts0[92], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[94], 1, 0),
	gsSPVertex(&vts0[102], 1, 1),
	gsSPVertex(&vts0[101], 1, 2),
	gsSPVertex(&vts0[93], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[95], 1, 0),
	gsSPVertex(&vts0[103], 1, 1),
	gsSPVertex(&vts0[102], 1, 2),
	gsSPVertex(&vts0[94], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[88], 1, 0),
	gsSPVertex(&vts0[96], 1, 1),
	gsSPVertex(&vts0[103], 1, 2),
	gsSPVertex(&vts0[95], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[97], 1, 0),
	gsSPVertex(&vts0[105], 1, 1),
	gsSPVertex(&vts0[104], 1, 2),
	gsSPVertex(&vts0[96], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[98], 1, 0),
	gsSPVertex(&vts0[106], 1, 1),
	gsSPVertex(&vts0[105], 1, 2),
	gsSPVertex(&vts0[97], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[99], 1, 0),
	gsSPVertex(&vts0[107], 1, 1),
	gsSPVertex(&vts0[106], 1, 2),
	gsSPVertex(&vts0[98], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[100], 1, 0),
	gsSPVertex(&vts0[108], 1, 1),
	gsSPVertex(&vts0[107], 1, 2),
	gsSPVertex(&vts0[99], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[101], 1, 0),
	gsSPVertex(&vts0[109], 1, 1),
	gsSPVertex(&vts0[108], 1, 2),
	gsSPVertex(&vts0[100], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[102], 1, 0),
	gsSPVertex(&vts0[110], 1, 1),
	gsSPVertex(&vts0[109], 1, 2),
	gsSPVertex(&vts0[101], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[103], 1, 0),
	gsSPVertex(&vts0[111], 1, 1),
	gsSPVertex(&vts0[110], 1, 2),
	gsSPVertex(&vts0[102], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[96], 1, 0),
	gsSPVertex(&vts0[104], 1, 1),
	gsSPVertex(&vts0[111], 1, 2),
	gsSPVertex(&vts0[103], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[105], 1, 0),
	gsSPVertex(&vts0[113], 1, 1),
	gsSPVertex(&vts0[112], 1, 2),
	gsSPVertex(&vts0[104], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[106], 1, 0),
	gsSPVertex(&vts0[114], 1, 1),
	gsSPVertex(&vts0[113], 1, 2),
	gsSPVertex(&vts0[105], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[107], 1, 0),
	gsSPVertex(&vts0[115], 1, 1),
	gsSPVertex(&vts0[114], 1, 2),
	gsSPVertex(&vts0[106], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[108], 1, 0),
	gsSPVertex(&vts0[116], 1, 1),
	gsSPVertex(&vts0[115], 1, 2),
	gsSPVertex(&vts0[107], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[109], 1, 0),
	gsSPVertex(&vts0[117], 1, 1),
	gsSPVertex(&vts0[116], 1, 2),
	gsSPVertex(&vts0[108], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[110], 1, 0),
	gsSPVertex(&vts0[118], 1, 1),
	gsSPVertex(&vts0[117], 1, 2),
	gsSPVertex(&vts0[109], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[111], 1, 0),
	gsSPVertex(&vts0[119], 1, 1),
	gsSPVertex(&vts0[118], 1, 2),
	gsSPVertex(&vts0[110], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[104], 1, 0),
	gsSPVertex(&vts0[112], 1, 1),
	gsSPVertex(&vts0[119], 1, 2),
	gsSPVertex(&vts0[111], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[113], 1, 0),
	gsSPVertex(&vts0[121], 1, 1),
	gsSPVertex(&vts0[120], 1, 2),
	gsSPVertex(&vts0[112], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[114], 1, 0),
	gsSPVertex(&vts0[122], 1, 1),
	gsSPVertex(&vts0[121], 1, 2),
	gsSPVertex(&vts0[113], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[115], 1, 0),
	gsSPVertex(&vts0[123], 1, 1),
	gsSPVertex(&vts0[122], 1, 2),
	gsSPVertex(&vts0[114], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[116], 1, 0),
	gsSPVertex(&vts0[124], 1, 1),
	gsSPVertex(&vts0[123], 1, 2),
	gsSPVertex(&vts0[115], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[117], 1, 0),
	gsSPVertex(&vts0[125], 1, 1),
	gsSPVertex(&vts0[124], 1, 2),
	gsSPVertex(&vts0[116], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[118], 1, 0),
	gsSPVertex(&vts0[126], 1, 1),
	gsSPVertex(&vts0[125], 1, 2),
	gsSPVertex(&vts0[117], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[119], 1, 0),
	gsSPVertex(&vts0[127], 1, 1),
	gsSPVertex(&vts0[126], 1, 2),
	gsSPVertex(&vts0[118], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[112], 1, 0),
	gsSPVertex(&vts0[120], 1, 1),
	gsSPVertex(&vts0[127], 1, 2),
	gsSPVertex(&vts0[119], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[0], 1, 0),
	gsSPVertex(&vts0[120], 1, 1),
	gsSPVertex(&vts0[121], 1, 2),
	gsSPVertex(&vts0[1], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[1], 1, 0),
	gsSPVertex(&vts0[121], 1, 1),
	gsSPVertex(&vts0[122], 1, 2),
	gsSPVertex(&vts0[2], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[2], 1, 0),
	gsSPVertex(&vts0[122], 1, 1),
	gsSPVertex(&vts0[123], 1, 2),
	gsSPVertex(&vts0[3], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[3], 1, 0),
	gsSPVertex(&vts0[123], 1, 1),
	gsSPVertex(&vts0[124], 1, 2),
	gsSPVertex(&vts0[4], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[4], 1, 0),
	gsSPVertex(&vts0[124], 1, 1),
	gsSPVertex(&vts0[125], 1, 2),
	gsSPVertex(&vts0[5], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[5], 1, 0),
	gsSPVertex(&vts0[125], 1, 1),
	gsSPVertex(&vts0[126], 1, 2),
	gsSPVertex(&vts0[6], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[6], 1, 0),
	gsSPVertex(&vts0[126], 1, 1),
	gsSPVertex(&vts0[127], 1, 2),
	gsSPVertex(&vts0[7], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPVertex(&vts0[7], 1, 0),
	gsSPVertex(&vts0[127], 1, 1),
	gsSPVertex(&vts0[120], 1, 2),
	gsSPVertex(&vts0[0], 1, 3),
	gsSP2Triangles(0, 1, 2, 0, 0, 2, 3, 0),
	gsSPEndDisplayList()
};

static Material materials[] = {
	{ {0.789854, 0.813333, 0.694044}, NULL },
};

Pair tab_torus[] = {
	{&materials[0], drawmesh0_0},
	{NULL, NULL}
};

